/*
    (C) 1995-96 AROS - The Amiga Research OS
    $Id: ioerr.c,v 1.1.1.1 2005/03/15 15:54:40 laire Exp $

    Desc:
    Lang: english
*/
#include <proto/exec.h>
#include "dos_intern.h"

/*****************************************************************************

    NAME */
#include <proto/dos.h>

	AROS_LH0(LONG, IoErr,

/*  SYNOPSIS */

/*  LOCATION */
	struct DosLibrary *, DOSBase, 22, Dos)

/*  FUNCTION
	Get the dos error code for the current process.

    INPUTS

    RESULT
	Error code.

    NOTES

    EXAMPLE

    BUGS

    SEE ALSO

    INTERNALS

    HISTORY
	29-10-95    digulla automatically created from
			    dos_lib.fd and clib/dos_protos.h

*****************************************************************************/
{
    AROS_LIBFUNC_INIT
    AROS_LIBBASE_EXT_DECL(struct DosLibrary *,DOSBase)

    /* Get pointer to process structure */
    struct Process *me=(struct Process *)FindTask(NULL);

    if (me->pr_Task.tc_Node.ln_Type == NT_PROCESS)
    {
	/* Nothing spectacular */
	return me->pr_Result2;
    }
    else
    {
	/* Use ETask Result2 if available - Piru */
	return me->pr_Task.tc_Flags && TF_ETASK ? (LONG) me->pr_Task.tc_ETask->Result2 : 0;
    }
    AROS_LIBFUNC_EXIT
} /* IoErr */
